Bug 1416118 - Failed to list events in Panko
Summary: Failed to list events in Panko
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-ceilometerclient
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Julien Danjou
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 16:01 UTC by Yurii Prokulevych
Modified: 2019-01-31 04:45 UTC (History)
6 users (show)

Fixed In Version: python-ceilometerclient-2.8.1-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:42:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 425327 None None None 2017-01-25 18:24:58 UTC

Description Yurii Prokulevych 2017-01-24 16:01:25 UTC
Description of problem:
-----------------------
RHOS-11 installation with Panko enabled.
But attempt to list events fails:

ceilometer event-list
You must provide a project_id via either --os-project-id or via env[OS_PROJECT_ID] and a domain_name via either --os-user-domain-name or via env[OS_USER_DOMAIN_NAME] or a domain_id via either --os-user-domain-id or via env[OS_USER_DOMAIN_ID]

ceilometer --debug  event-list
Traceback (most recent call last):
  File "/bin/ceilometer", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/site-packages/ceilometerclient/shell.py", line 292, in main
    CeilometerShell().main(args)
  File "/usr/lib/python2.7/site-packages/ceilometerclient/shell.py", line 220, in main
    raise exc.CommandError("You must provide a project_id via "
ceilometerclient.exc.CommandError: You must provide a project_id via either --os-project-id or via env[OS_PROJECT_ID] and a domain_name via either --os-user-domain-name or via env[OS_USER_DOMAIN_NAME] or a domain_id via either --os-user-domain-id or via env[OS_USER_DOMAIN_ID]

Other commands are working as expected:
---------------------------------------
gnocchi resource list
+--------------------------------------+---------+------------+---------+----------------------+----------------------------------+----------+----------------------------------+--------------+
| id                                   | type    | project_id | user_id | original_resource_id | started_at                       | ended_at | revision_start                   | revision_end |
+--------------------------------------+---------+------------+---------+----------------------+----------------------------------+----------+----------------------------------+--------------+
| 0a8b55df-f90f-491c-8cb9-7cdecec6fc26 | generic | None       | None    | None                 | 2017-01-24T09:16:59.160974+00:00 | None     | 2017-01-24T09:16:59.161004+00:00 | None         |
+--------------------------------------+---------+------------+---------+----------------------+----------------------------------+----------+----------------------------------+--------------+

openstack catalog show panko
+-----------+----------------------------------------+
| Field     | Value                                  |
+-----------+----------------------------------------+
| endpoints | regionOne                              |
|           |   publicURL: https://10.0.0.10:13779   |
|           |   internalURL: http://172.17.1.11:8779 |
|           |   adminURL: http://172.17.1.11:8779    |
|           |                                        |
| name      | panko                                  |
| type      | event                                  |
+-----------+----------------------------------------+
env | grep ^OS
OS_PROJECT_NAME=admin
OS_PASSWORD=dAwjWReCTExr3GWEfr3Esdab3
OS_AUTH_URL=https://10.0.0.10:13000/v2.0
OS_USERNAME=admin
OS_NO_CACHE=True
OS_CLOUDNAME=overcloud


Version-Release number of selected component (if applicable):
-------------------------------------------------------------

python-panko-1.0.1-0.20170116223534.da11ff9.el7ost.noarch
puppet-panko-10.2.0-0.20170114072807.78530fd.el7ost.noarch
openstack-panko-api-1.0.1-0.20170116223534.da11ff9.el7ost.noarch
openstack-panko-common-1.0.1-0.20170116223534.da11ff9.el7ost.noarch

openstack-tripleo-heat-templates-6.0.0-0.20170117185453.cf5e77c.el7ost.noarch
openstack-heat-templates-0.0.1-0.20170109231310.01b1768.el7ost.noarch

Comment 1 Julien Danjou 2017-01-25 17:58:35 UTC
Please include version of ceilometerclient used too.

Comment 2 Julien Danjou 2017-01-25 18:24:08 UTC
Post a patch upstream that should fix it https://review.openstack.org/425327

Comment 5 Mehdi ABAAKOUK 2017-02-23 15:05:48 UTC
python-ceilometerclient-2.8.0-0.20170208143627.658d7e2.el7ost does not fix the issue.

This package is built on top of commit 658d7e2, but the fix is the next commit :( https://github.com/openstack/python-ceilometerclient/commit/536ebe20547c5f69255c698a1d1da9ea26d9bcac

Comment 6 Pradeep Kilambi 2017-03-16 20:49:54 UTC
the patch mentioned is not in stable/ocata i just pulled it in:

https://review.openstack.org/#/c/446735/

Comment 9 errata-xmlrpc 2017-05-17 19:42:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.